curl --request POST \
--url https://api.octen.ai/business-search \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"query": "NVIDIA quarterly results",
"count": 5
}
'{
"code": 0,
"msg": "success",
"request_id": "req_abc123def456",
"data": {
"query": "NVIDIA quarterly results",
"results": [
{
"title": "NVIDIA Announces Financial Results for Second Quarter Fiscal 2027",
"url": "https://investor.nvidia.com/financial-info/financial-reports/default.aspx",
"highlight": "Second-quarter revenue rose 106% from a year ago, with data center revenue up 117%...",
"time_published": "2026-08-26T00:00:00Z",
"time_last_crawled": "2026-10-13T01:31:46Z",
"favicon": "https://investor.nvidia.com/favicon.ico"
}
],
"entities": [
{
"type": "company",
"name": "NVIDIA",
"summary": "Since its founding in 1993, NVIDIA has been a pioneer in accelerated computing. Its invention of the GPU in 1999 redefined computer graphics and ignited the era of modern AI...",
"aliases": [
"nvidia",
"nvidia corporation"
],
"identifiers": {
"website": "nvidia.com",
"linkedin_url": "https://www.linkedin.com/company/nvidia",
"stock_ticker": "XNAS:NVDA",
"sec_cik": "0001045810"
},
"attributes": {
"industry": "Computer Hardware Manufacturing",
"hq_location": "2701 San Tomas Expressway, Santa Clara, CA 95050, US",
"founded_year": 1993
},
"metrics": {
"financials": [
{
"revenue": 81615003648,
"net_income": 58320998400,
"gross_profit": 61156999168,
"period": "Q1, 2027",
"currency": "USD"
}
],
"stock": {
"price": 224.45,
"todays_change_percent": -2.11,
"week_52_high": 243.37,
"week_52_low": 164.27,
"date": "2026-10-12",
"currency": "USD"
},
"funding": [
{
"round": "Post-IPO Debt",
"amount": 25000000000,
"date": "2026-06-01",
"currency": "USD"
}
],
"web_traffic": {
"visits_monthly": 38505903,
"rank": 903,
"period": "2026-08"
}
},
"key_people": [
{
"name": "Jensen Huang",
"title": "Founder, President and Chief Executive Officer"
}
],
"logo": {
"url": "https://cdn.example-cdn.com/logos/nvidia.png"
},
"activities": [
{
"title": "A new beginning for Windows PCs",
"url": "https://www.linkedin.com/company/nvidia/posts",
"highlight": "Join us at one of our RTX Spark launch events for demos on the new laptops...",
"authors": "NVIDIA",
"time_published": "2026-10-12T18:15:39Z"
}
],
"news": [
{
"title": "Chipmaker weighs buyback option in data centre listing dispute",
"url": "https://www.example-news.com/markets/data-centre-listing-dispute",
"highlight": "Confidential agreements put the AI infrastructure venture on a collision course with its own backers...",
"time_published": "2026-10-11T18:00:00Z",
"time_last_crawled": "2026-10-11T18:01:35Z",
"favicon": "https://www.example-news.com/favicon.ico",
"cover_image": {
"url": "https://cdn.example-news.com/2026/10/data-centre.png",
"description": "A data centre under construction."
}
}
]
}
]
},
"meta": {
"usage": {
"num_search_queries": 1
},
"latency": 229,
"warning": ""
}
}Business Search
Searches the web for business content. The companies and people behind the query are also returned as entity cards.
curl --request POST \
--url https://api.octen.ai/business-search \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"query": "NVIDIA quarterly results",
"count": 5
}
'{
"code": 0,
"msg": "success",
"request_id": "req_abc123def456",
"data": {
"query": "NVIDIA quarterly results",
"results": [
{
"title": "NVIDIA Announces Financial Results for Second Quarter Fiscal 2027",
"url": "https://investor.nvidia.com/financial-info/financial-reports/default.aspx",
"highlight": "Second-quarter revenue rose 106% from a year ago, with data center revenue up 117%...",
"time_published": "2026-08-26T00:00:00Z",
"time_last_crawled": "2026-10-13T01:31:46Z",
"favicon": "https://investor.nvidia.com/favicon.ico"
}
],
"entities": [
{
"type": "company",
"name": "NVIDIA",
"summary": "Since its founding in 1993, NVIDIA has been a pioneer in accelerated computing. Its invention of the GPU in 1999 redefined computer graphics and ignited the era of modern AI...",
"aliases": [
"nvidia",
"nvidia corporation"
],
"identifiers": {
"website": "nvidia.com",
"linkedin_url": "https://www.linkedin.com/company/nvidia",
"stock_ticker": "XNAS:NVDA",
"sec_cik": "0001045810"
},
"attributes": {
"industry": "Computer Hardware Manufacturing",
"hq_location": "2701 San Tomas Expressway, Santa Clara, CA 95050, US",
"founded_year": 1993
},
"metrics": {
"financials": [
{
"revenue": 81615003648,
"net_income": 58320998400,
"gross_profit": 61156999168,
"period": "Q1, 2027",
"currency": "USD"
}
],
"stock": {
"price": 224.45,
"todays_change_percent": -2.11,
"week_52_high": 243.37,
"week_52_low": 164.27,
"date": "2026-10-12",
"currency": "USD"
},
"funding": [
{
"round": "Post-IPO Debt",
"amount": 25000000000,
"date": "2026-06-01",
"currency": "USD"
}
],
"web_traffic": {
"visits_monthly": 38505903,
"rank": 903,
"period": "2026-08"
}
},
"key_people": [
{
"name": "Jensen Huang",
"title": "Founder, President and Chief Executive Officer"
}
],
"logo": {
"url": "https://cdn.example-cdn.com/logos/nvidia.png"
},
"activities": [
{
"title": "A new beginning for Windows PCs",
"url": "https://www.linkedin.com/company/nvidia/posts",
"highlight": "Join us at one of our RTX Spark launch events for demos on the new laptops...",
"authors": "NVIDIA",
"time_published": "2026-10-12T18:15:39Z"
}
],
"news": [
{
"title": "Chipmaker weighs buyback option in data centre listing dispute",
"url": "https://www.example-news.com/markets/data-centre-listing-dispute",
"highlight": "Confidential agreements put the AI infrastructure venture on a collision course with its own backers...",
"time_published": "2026-10-11T18:00:00Z",
"time_last_crawled": "2026-10-11T18:01:35Z",
"favicon": "https://www.example-news.com/favicon.ico",
"cover_image": {
"url": "https://cdn.example-news.com/2026/10/data-centre.png",
"description": "A data centre under construction."
}
}
]
}
]
},
"meta": {
"usage": {
"num_search_queries": 1
},
"latency": 229,
"warning": ""
}
}Authorizations
Bearer token used for request authentication. Alternatively, you can send the API key in the x-api-key header.
Body
The search query.
Operators
site:<domain>: restrict results to a single domain. For multiple domains, useinclude_domainsandexclude_domains.-site:<domain>: exclude a single domain from the results.
500Number of results to return.
1 <= x <= 100A list of domains to specifically include in the search results. The site: query operator adds to this list. Applies to results only; entity cards do not support domain filtering.
120060["reuters.com", "bloomberg.com"]
A list of domains to specifically exclude from the search results. The -site: query operator adds to this list. If a domain appears in both include_domains and exclude_domains, exclude_domains takes precedence. Applies to results only; entity cards do not support domain filtering.
120060["spam.com", "ads.example.net"]
Determines which time field is used for time filtering. published uses time_published; crawled uses time_last_crawled. Results missing this field are excluded when filtering by time. Applies to results only; entity cards do not support time filtering.
auto, published, crawled Relative time window counting back from the current time based on time_basis. Mutually exclusive with start_time/end_time: if both are provided, start_time/end_time take precedence.
day, week, month, year, d, w, m, y Start time for filtering results. ISO 8601 format.
"2026-08-22T00:00:00Z"
End time for filtering results. ISO 8601 format.
"2026-08-24T00:00:00Z"
A list of languages to restrict results to, as ISO 639-1 codes. Applies to results only; entity cards do not support language filtering.
ar, de, en, es, fr, hi, id, it, ja, ko, nl, pl, pt, ru, th, tr, vi, zh ["en", "zh"]
Controls highlight extraction from result pages.
Show child attributes
Show child attributes
Controls whether to return the full raw content of each result page.
Show child attributes
Show child attributes
Controls the entity cards returned for companies and people.
Show child attributes
Show child attributes
Response
Successful business search response
Business status code. 0 indicates success.
A message describing the result.
The unique identifier for this request.
The main response payload. Fields without data are omitted, at every level.
Show child attributes
Show child attributes
Additional metadata for the search request.
Show child attributes
Show child attributes
Was this page helpful?